#ifndef PARSER_H
#define PARSER_H

#include "scanner.h"

typedef enum {FULL, LITERAL} EvalMethod;

Token eval_safe(Token **n, EvalMethod meth); /* OK to call on null ptr */
Token eval(Token *n[], EvalMethod meth); /* Don't call with null ptr */
Token evaltoken(Token n, EvalMethod meth); /* Caller "owns" the result */
#endif
